ChiliProject - Bug # 517: Remove included lib/faster_csv.rb

Status: Closed Priority: Normal
Author: Eric Davis Category: Libraries
Created: 2011-07-11 Assignee:

Updated: 2011-08-21 Due date:

Remote issue URL:

Affected version: 2.0.0

Description: Should use the gem (1.8.x) or the built in CSV engine (1.9). Bundling it in lib/

* prevents us from upgrading it easily
* bloats the app size (download and disk, not running memory size)

Associated revisions

2011-08-21 07:26 pm - Felix SchAxfer
Rip faster_csv out of lib into the Gemfile. #517

2011-08-21 07:58 pm - Felix SchAxfer

Merge pull request #100 from thegcat/feature/517-put_faster_csv_in_the_gemfile

Rip faster_csv out of lib into the Gemfile. #517

2011-08-21 11:36 pm - Felix SchAxfer
This should fix it once and for alla€} #517

(Sorry for the commit-noise)

History

2011-07-11 09:42 pm - Felix Schéfer
Would work for me.

2011-08-21 05:29 pm - Felix Schafer

- Target version set to 2.2.0

- Status changed from Open to Ready for review

Yeah, "pull request 100":https:/github.com/chiliproject/chiliproject/pull/100

Scheduling this for 2.2.0, not sure how additions to the Gemfile fly with semver though, so if anyone thinks it shouldn't go into a minor, please
reschedule it for 3.0.

2011-08-21 05:59 pm - Felix Schafer

- Status changed from Ready for review to Closed

Had a short chat with Holger on IRC, he agreed we could do it in a minor release, merged in commit:57ecf52.

Just to make sure, I'll see if our install docs have bundler instructions for minor updates.

2011-08-21 06:54 pm - Felix Schafer
Felix SchAefer wrote:

> Just to make sure, I'll see if our install docs have bundler instructions for minor updates.

(the docs tell to @bundle install@ after an update, so everything is good)
